#!/bin/sh
# -- BEGIN COPYRIGHT --
# IBM SecureWay Firewall Version 4.1
# Licensed Materials - Property of IBM
#
# 5697-F48
#
# (C) Copyright IBM Corp. 1985, 1994, 1999 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
# -- END COPYRIGHT --

PATH=/usr/bin:/bin:/usr/ucb:$PATH
export PATH

if [ $# -ne 1 ] ; then
	echo usage $0 path
fi

CURRENT_DRIVE=""

DESIRED_DIR=$1
CURRENT_DIR=
INCREMENTAL=`echo $1 | sed -e 's/\// /g'`
for next_dir in $INCREMENTAL
do
  if [ `echo ${next_dir}_ | cut -c2` = ":" ]; then
    CURRENT_DRIVE=`echo $next_dir | cut -c1-2`

    continue
  fi

  CURRENT_DIR=$CURRENT_DIR/$next_dir

  if [ "x$CURRENT_DRIVE" = "x" ]; then
    fullPath=$CURRENT_DIR
  else
    fullPath=${CURRENT_DRIVE}${CURRENT_DIR}
  fi

  if [ ! -d "$fullPath" ]; then
    mkdir $fullPath

    if [ ! -d "$fullPath" ]; then
      break
    fi
  fi
done

if [ ! -d $DESIRED_DIR ]; then
  exit 10	#Failed
else
  exit 0	#Succeeded	
fi
