#!/bin/sh
# -- BEGIN COPYRIGHT --
# IBM SecureWay Firewall Version 4.1
# Licensed Materials - Property of IBM
#
# 5697-F48
#
# (C) Copyright IBM Corp. 1985, 1994, 1999 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
# -- END COPYRIGHT --

#
# Component Name: start_inetd.sh
#

PRODUCT=SECUREWAY_FIREWALL

# ----------------------------------------------------------------------
# Discover if we are on an LCF endpoint.
# ----------------------------------------------------------------------
if [ "x$LCF_BINDIR" != "x" ]; then
  EP=TRUE
else
  EP=FALSE
fi

if [ x"$EP" = x"FALSE" ] ; then
  if [ -f /etc/Tivoli/setup_env.sh ] ; then
          . /etc/Tivoli/setup_env.sh
	  TEMP=/tmp
  else
          echo This task only runs on AIX Firewall servers! >&2
          exit 1 
  fi
  OSERV=`objcall 0.0.0 get_oserv`
  INST_DIR=`objcall $OSERV query install_dir`
  PATH=$INST_DIR/generic_unix/TME/PLUS/SECUREWAY_FIREWALL:$BINDIR/AEF:$PATH
  export PATH
fi

#  Debugging code: by creating a file called /tmp/${PRODUCT}debug in
#     the appropriate TEMP directory, the output of scripts is
#     set to debugging (should appear in stderr for the task)

DEBUGFILE=$TEMP/${PRODUCT}debug

if [ -f $DEBUGFILE ]; then
  set -x
fi

#Must unset CHILD_OF_OSERV or it will end up in the firewall environment
#and could really hose up the CLI calls back to TME
unset CHILD_OF_OSERV


case `uname -sr` in

	"AIX"*)
              startsrc -s inetd 
              if [ $? -eq 0 ] ; then
                echo Started inetd! 
                exit 0
              else
                echo Error in starting inetd! >&2
                exit 1
              fi
	      ;;
	*)
              echo This task only runs on AIX Firewall servers! >&2
              exit 1
	      ;;
  esac

