#!/bin/sh 
# -- BEGIN COPYRIGHT --
# IBM SecureWay Firewall Version 4.1
# Licensed Materials - Property of IBM
#
# 5697-F59
#
# (C) Copyright IBM Corp. 1985, 1994, 1999 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
# -- END COPYRIGHT --

#
# Component Name: telnet_daemon.sh
#

PRODUCT=SECUREWAY_FIREWALL

# ----------------------------------------------------------------------
# Discover if we are on an LCF endpoint.
# ----------------------------------------------------------------------
if [ "x$LCF_BINDIR" != "x" ]; then
  EP=TRUE
  if [ "x$OS" = "xWindows_NT" ]; then
    ETC=$SystemRoot/system32/drivers/etc/Tivoli
    NULL=nul
  else
    echo This task only runs on Windows NT Firewall servers! >&2
    exit 1
  fi
  TEMP=/tmp
else
  EP=FALSE
fi

if [ x"$EP" = x"FALSE" ] ; then
  if [ -f $SystemRoot/system32/drivers/etc/Tivoli/setup_env.sh ] ; then
          . $SystemRoot/system32/drivers/etc/Tivoli/setup_env.sh
	  TEMP=$DBDIR/tmp
  else
          echo This task only runs on Windows NT Firewall servers! >&2
          exit 1
  fi
  OSERV=`objcall 0.0.0 get_oserv`
  INST_DIR=`objcall $OSERV query install_dir`
  PATH=$INST_DIR/generic_unix/TME/PLUS/SECUREWAY_FIREWALL:$BINDIR/AEF:$PATH
  export PATH
fi

#  Debugging code: by creating a file called /tmp/${PRODUCT}debug in
#     the appropriate TEMP directory, the output of scripts is
#     set to debugging (should appear in stderr for the task)

DEBUGFILE=$TEMP/${PRODUCT}debug

if [ -f $DEBUGFILE ]; then
  set -x
fi

# find out if we're starting or stopping the socks server
if [ x"$1" != x ] ; then
  # translate entry to all lowercase so we can
  # see if they've entered start or stop
  ACTION=`echo $1 | tr '[A-Z]' '[a-z]'`
  if [ x"$ACTION" != x"stop" -a x"$ACTION" != x"start" ] ; then
    echo "You need to specify either Start or Stop!"
    echo "Please rerun this task!"
    exit 1
  fi
else
  echo "You need to specify either Start or Stop!"
  echo "Please rerun this task!"
  exit 1
fi

#Must unset CHILD_OF_OSERV or it will end up in the firewall environment
#and could really hose up the CLI calls back to TME
unset CHILD_OF_OSERV


if [ x"$ACTION" = x"start" ] ; then
	net start "IBM Firewall Proxy Telnet Daemon"
        if [ $? -eq 0 ] ; then
          echo Started IBM Firewall Proxy Telnet Daemon!
          exit 0
        else
          echo Error in starting IBM Firewall Proxy Telnet Daemon! >&2
          exit 1
        fi
else
        net stop "IBM Firewall Proxy Telnet Daemon"
        if [ $? -eq 0 ] ; then
          echo Stopped IBM Firewall Proxy Telnet Daemon!
          exit 0
        else
          echo Error in stopping IBM Firewall Proxy Telnet Daemon! >&2
          exit 1
        fi
fi

