#!/bin/perl
# -- BEGIN COPYRIGHT --
# IBM SecureWay Firewall Version 4.1
# Licensed Materials - Property of IBM
#
# 5697-F48
#
# (C) Copyright IBM Corp. 1985, 1994, 1999 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
# -- END COPYRIGHT --

#
# Component Name: Logfile Adapter trace module
#
# $Date: 1999/01/29 17:18:09 $
#
# $Revision: 1.1.1.1 $
#

###########################################

###########################################

sub initTrace
{
    $traceid='STDERR';
    select($traceid); $| = 1; select(STDOUT);	# unbuffered IO
}

# print Traceing stuff

sub Trace 
{
    local($level,$msg)=@_;

    if ($CfgTable{Trace} eq "true") { print $traceid "$msg"; }
}

# 

sub initServerConnection
{
    local($r);
    return(1);
}

# 

sub termServerConnection
{
    local($code)=@_;

    exit ($code);
}

# 

sub connectToServer
{
    return(1);
}

# 

sub disconnectFromServer
{
    return(1);
}

# send the event message

sub sendMessage
{
    local($msg,$len)=@_;

    &Trace($Level{VERBOSE},"sendMessage:\n");
    &Trace($Level{VERBOSE},"    message:$msg\n");
    &Trace($Level{VERBOSE},"    len:$len\n");

    return(1);
}

# build a MasterCell event

sub buildMessage
{
    local(%Event) = @_;
    local(@slots);
    local($msg);

    foreach $slot (keys %Event) {
	if ($slot eq "classname") {
            splice(@slots,0,0,"$Event{$slot};");
	}
	else {
	    $t=$Event{$slot};
	    if ( ! &isNumeric($t) ) {
		$t='"' . $t . '"';
		$t=~s/^"(".*")"$/$1/;
		$t=~s/^"('.*')"$/$1/;
   	    }
            push(@slots, "$slot=$t;");
	}
    }
    push(@slots,"adapter_host=$adapter_host;");
    push(@slots,'date_reception=' . time() . ';');
    push(@slots, "END");

    $msg=join('',@slots);

    return($msg,length($msg));
}

;1

###########################################
